<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tmerclub.cloud.order.mapper.PurchaseOrderLangMapper">
  <resultMap id="purchaseOrderLangMap" type="com.tmerclub.cloud.order.model.PurchaseOrderLang">
    <id column="purchase_order_id" property="purchaseOrderId" />
    <result column="lang" property="lang"/>
    <result column="spu_name" property="spuName"/>
  </resultMap>
  <sql id="Vo_Column_List">
    `purchase_order_id`,`lang`,`spu_name`
  </sql>
  <insert id="saveBatch">
    insert into purchase_order_lang (`purchase_order_id`,`lang`,`spu_name`) values
    <foreach collection="purchaseOrderLangList" item="purchaseOrderLang" separator=",">
     (#{purchaseOrderLang.purchaseOrderId},#{purchaseOrderLang.lang},#{purchaseOrderLang.spuName})
    </foreach>
  </insert>

</mapper>
